public static interface MasterEndpointBuilderFactory.MasterBuilders
| Modifier and Type | Method and Description |
|---|---|
default MasterEndpointBuilderFactory.MasterEndpointBuilder |
master(String path)
Master (camel-master)
Have only a single consumer in a cluster consuming from a given
endpoint; with automatic failover if the JVM dies.
|
default MasterEndpointBuilderFactory.MasterEndpointBuilder |
master(String componentName,
String path)
Master (camel-master)
Have only a single consumer in a cluster consuming from a given
endpoint; with automatic failover if the JVM dies.
|
default MasterEndpointBuilderFactory.MasterEndpointBuilder master(String path)
master:namespace:delegateUri
Path parameter: namespace (required)
The name of the cluster namespace to use
Path parameter: delegateUri (required)
The endpoint uri to use in master/slave modepath - namespace:delegateUridefault MasterEndpointBuilderFactory.MasterEndpointBuilder master(String componentName, String path)
master:namespace:delegateUri
Path parameter: namespace (required)
The name of the cluster namespace to use
Path parameter: delegateUri (required)
The endpoint uri to use in master/slave modecomponentName - to use a custom component name for the endpoint
instead of the default namepath - namespace:delegateUriApache Camel